--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local grapeHudFile = "hud/hud_fill_grape.png"
        local grapeHudFileSmall = "hud/hud_fill_grape_sml.png"       		
	--	local grapeHeapDiffuse = Utils.getFilename("fillPlanes/grape_diffuse.png", modDirectory)
    --    local grapeHeapnormal  = Utils.getFilename("fillPlanes/grape_normal.png", modDirectory)  
    --    local grapeHeapdistance = Utils.getFilename("fillPlanes/distance/grapeDistance_diffuse.png", modDirectory)  
		 local wineHudFile = "hud/hud_fill_wine.png"
        local wineHudFileSmall = "hud/hud_fill_wine_sml.png" 
        local emptyPalletHudFile = "hud/hud_fill_emptyPallets.png"
        local emptyPalletHudFileSmall = "hud/hud_fill_emptyPallets_sml.png"  
		      
		print("Register neuen filltype fuer TraubenFeld: Trauben und Winzerei: Wein , Leerpaletten");
        local grapeFilType = g_fillTypeManager:addFillType("GRAPE", g_i18n:getText("Trauben"), true, priceMaize * 0.7, 0.00045, math.rad(40), grapeHudFile, grapeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local wineFilType = g_fillTypeManager:addFillType("WINE", g_i18n:getText("Wein"), true, priceMaize * 2.2, 0.00045, math.rad(40), wineHudFile, wineHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local emptyPalletFilType = g_fillTypeManager:addFillType("EMPTYPALLET", g_i18n:getText("emptyPallet"), true, priceMaize * 1, 0.00045, math.rad(40), emptyPalletHudFile, emptyPalletHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local GRAPECategory = {"LOADINGVEHICLE"}	
		for _,k in pairs(GRAPECategory) do
			g_fillTypeManager:addFillTypeToCategory(grapeFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		local WINECategory = {"LOADINGVEHICLE"}	
		for _,k in pairs(WINECategory) do
			g_fillTypeManager:addFillTypeToCategory(wineFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		local EMPTYPALLETCategory = {"LOADINGVEHICLE"}
		for _,k in pairs(EMPTYPALLETCategory) do
			g_fillTypeManager:addFillTypeToCategory(emptyPalletFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hasgrape=false
       	local haswine=false	
		local hasemptyPallet=false	
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hasgrape=false
		haswine=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "GRAPE" then
					hasgrape=true								
				end;	
				if fillname == "WINE" then
					hasgrape=true								
				end;
				if fillname == "EMPTYPALLET" then
					hasemptyPallet=true								
				end;	
			end;
				
				if hasmaize and not hasgrape then
					--add GRAPE zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("GRAPE")
					local price = g_fillTypeManager:getFillTypeByName("GRAPE").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("GRAPE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not haswine then
					--add WINE zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("WINE")
					local price = g_fillTypeManager:getFillTypeByName("WINE").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WINE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not hasemptyPallet then
					--add emptyPallets zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLET")
					local price = g_fillTypeManager:getFillTypeByName("EMPTYPALLET").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLET")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;		
		end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

